Subject: Re: [Bier] Pls "vote" on name (draft-ietf-bier-te-arch)

From: <[email-masked]>
Date: Mon, 2 Mar 2020 15:56:51 +0800 (CST)

+1.

Seems like the previous mail has been lost. So I sent the mail again.

Thanks,

Sandy

原始邮件

发件人：GregShepherd <[email-masked]>
收件人：Acee Lindem (acee) <[email-masked]>;
抄送人：Dirk Trossen <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;BRUNGARD,DEBORAH A <[email-masked]>;Toerless Eckert <[email-masked]>;Lou Berger <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2020年02月29日 00:00
主 题 ：Re: [Bier] Pls "vote" on name (draft-ietf-bier-te-arch)

_______________________________________________
BIER mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bier

My vote: BIER-TE Call it Tree Engineering. If we were so concerned with acronym overuse the IETF would grind to a halt... I've been involved in other WGs where I felt the name missed the mark describing the ideas in the draft, but felt reading the draft was how someone got their heads around the proposed solution, rather than miss-read the title and run away confused. ie - Vlex-Algo. No, it's Flex-Topo, but what's to be gained from arguing for a name at this point? 

Yes, we should strive to be as 'correct' as possible. But the IETF is full of baggage that engineers have managed to wade through, make sense of, and implement successfully. Get the spec right, No #1 priority. If you don't like the name, read on. It will grow on you. :)

Shep (w/o chair hat)

On Fri, Feb 28, 2020 at 7:31 AM Acee Lindem (acee) <[email-masked]> wrote:

If you go with PBR, you could continue the BIER WG traditional of selecting brew-based acronyms. Hence, that would be my vote. It could be confused with Policy Based Routing but only if someone actually implements it.
Thanks,
Acee

On 2/28/20, 9:23 AM, "BIER on behalf of Toerless Eckert" <[email-masked] on behalf of [email-masked]> wrote:

    Sure, Just reply wth the ones you like whether existing or added and
    give them the weiht you like, e.g.: from your email something like:

    5  BIER-PBR    (Path Based Routing)
    5  BIER-PST    (Path based STeering)
    3  BIER-PE     (Path Engineering)

    On Fri, Feb 28, 2020 at 07:54:07AM +0000, Dirk Trossen wrote:
    > Toerless, all,
    > 
    > May I add to the mix (which might not help) with the proposal for 'path-based routing' (or BIER-PBR) or 'path-based steering' (or BIER-PST)? If you want to keep a two letter acronym, I'd add 'path steering' (rather than path engineering) to the mix. From the below, without considering any alternatives, I'd go for BIER-PE but it comes with the issues like many two letter acronyms, namely the higher 'collision rate' with others.
    > 
    > Best,
    > 
    > Dirk
    > 
    > 
    > 
    > -----Original Message-----
    > From: BIER [mailto:[email-masked]] On Behalf Of Toerless Eckert
    > Sent: 27 February 2020 21:41
    > To: [email-masked]
    > Cc: Lou Berger <[email-masked]>; [email-masked]; BRUNGARD, DEBORAH A <[email-masked]>; [email-masked]
    > Subject: [Bier] Pls "vote" on name (draft-ietf-bier-te-arch)
    > 
    > Dear WG
    > 
    > Please chime in with opinions about the following or any new name you like as the new name for BIER-TE. Timeout is deadline for submission of draft before IETF107, when i'll post an update. If you propose a new name try to avoid re-using abbreviations that may be misinterpreted.
    > 
    > 5 = best name ever, ... 1 = lame name, no number assigned means 0 votes are just added up and maximum sum option wins.
    > Explanations if you haven't followed thread at the end.
    > 
    > BIER-PE  - Path Engineering
    > BIER-ET  - Explicit Trees
    > BIER-EET - Explicit Engineered Trees
    > BIER-BET - Bit Engineered Trees
    > BIER-BST - Bit Steered Trees
    > BIER-TrE - Tree engineering
    > BIER-ET  - Engineered Trees
    > BIER-ST  - Steered Trees
    > 
    > BIER-ASB - Adjacency Steering Bits   (adjacencies are how bits in BIER-PE are defined)
    > BIER-AB  - Adjacency Bits
    > BIER-SB  - Steering Bits             (overloads with "Source Block" - never heard)
    > 
    > Thanks,
    >     Toerless
    > 
    > Explanations: If you have read through the threads with Lou and Deborah, and my understanding is correct:
    > 
    > Lou desired there to be a new name so BIER-TE the forwarding/steering mechanism (this document) is named differently from BIER-TE the larger framework utilizing TEAS/PCE definition (separate future draft).
    > 
    > Lou did not like my "Path Engineering" proposal as the name in the last version of the doc and felt we should pick a name with Steering/routing-policy in it. I think usn only steering/routing would be misleading (confused with unicast approaches).
    > 
    > Deborah pointed to avoiding confusions in the name with pre-established named (e.g.: "PE" meaning Provider Edge).
    > Said we should finalize on the name before we as the WG should pass the document to IESG. And she asked chairs to extend last-call by one more week (unrelated). Hence timeout end of next week.
    > 
    > _______________________________________________
    > BIER mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/bier
    > 
    > _______________________________________________
    > BIER mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/bier

    -- 
    ---
    [email-masked]...de

    _______________________________________________
    BIER mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/bier